import { EventEmitter } from "../../stencil-public-runtime";
export declare class Drawer {
  content: string;
  /**
   * Title of the drawer displayed in the toolbar.
   */
  readonly drawerTitle: string;
  /**
   * Map ID of the map that should be resized when the drawer is opened or closed.
   */
  readonly mapId: string;
  /**
   * The drawer is currently open.
   */
  open: boolean;
  openChanged(isOpen: boolean): void;
  /**
   * Emitted when the drawer is opened or closed.
   */
  glDrawerToggle: EventEmitter;
  componentDidUpdate(): void;
  /**
   * Opens the drawer if it is closed and closes the drawer if it is open
   */
  toggle(): Promise<void>;
  private closeDrawerClick;
  render(): any;
}
